﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt"
  xmlns:str="http://vbxml.com/string"
  xmlns:js="javascript:code"
version="1.0">

  <xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>

<msxsl:script implements-prefix="js" language="javascript">
<![CDATA[ 
function replace_str(str_text,str_replace,str_by)
{
     return str_text.replace(str_replace,str_by);
}

function getDate(strGMP)
{
	var temp; 
	temp = strGMP.substring(0,16);    
	temp = temp.replace('T', ' ')
	return temp;
}

function SplitValue(str_text, iPos)
{
    var temp;
	var sRetun;
	temp = str_text.split('_');
	sRetun = temp[iPos];
    return sRetun
}
]]>
</msxsl:script>
  
  <xsl:template match="/">
 
        <style type="text/css">
          div.container {text-align: center; padding-top: 5px;}
          h2 {background-color: #7ab800; color:white; text-align: center;}
          table {border: 0px: padding: 0px; border-collapse: collapse; margin:10px;}
          td {text-align: center; font-size:9pt; border: 1px solid #0075b0; width:20px }
          td.legend {font-size:10pt; text-align:left; border:0px; padding-right:6px;width:310px}
          
          td.outside, td.wing {border: none; }
          td.wing {background-color: #DCDCDC; width:75px }
          td.exitLeft {text-align:right;font-weight:bold;}
          td.exitRight {text-align:left;font-weight:bold;}

          td.occupied  {background-image: url("http://www.yourtripandmore.jp/images/Unavailable.jpg");background-repeat: no-repeat;cursor: not-allowed;}

          td.aisle {text-align: center; font-size:9pt; border:0x solid #0075b0; width:20px }
		  td.aisleUpper {font-weight:bold; border-top:none; border-bottom: none;}
          td.aisleUpper {background-color: #333333;border: 0px solid #0075b0; color: white;}

          td.noseat {border:none; border: 0px solid #0075b0; width:20px; cursor: not-allowed;}
          td.availableHandicap {background-image: url("http://www.yourtripandmore.jp/images/Handicapped.jpg");background-repeat: no-repeat}
          td.availableSeat {background-image: url("http://www.yourtripandmore.jp/images/Available.jpg");background-repeat: no-repeat;cursor:pointer;}
		  td.availableSeat.active {background-image: url("http://www.yourtripandmore.jp/images/Selected.jpg");background-repeat: no-repeat;cursor:pointer;}
		  
		  td.blockedSeat {background-image: url("http://www.yourtripandmore.jp/images/Blocked.jpg");background-repeat: no-repeat;cursor: not-allowed;}
		  td.selectedSeat {background-image: url("http://www.yourtripandmore.jp/images/Selected.jpg");background-repeat: no-repeat;cursor:pointer;}

		  td.fontBold {font-weight:bold;} 
		  td.fontDarkGrey {color:#A9A9A9;} 
		  
        </style>

	  <script src="http://code.jquery.com/jquery-1.12.4.min.js"></script>
	  <script>
		$(document).ready(function(){
		
		   $(".availableSeat.active").each(function(){
			 var id = $(this).attr("id");
			$("#SeatNum").val(id); 
			});
		
		  $(".availableSeat").click(function(){
		    var id = $(this).attr("id");
			$("#SeatNum").val(id); 
			$("#SeatNum").css('background-color','yellow');
		   
			$(".availableSeat.active").each(function(){
				 $(this).removeClass("active");
			});
			
			$(this).toggleClass("active");
		  });
		  
		});
	  </script>
		
		<!-- 비행정보 -->
		<div class="container">
		   <table>
		     <xsl:apply-templates select="//*[local-name()='AirSegment']"/>
		   </table>
		</div>
		<!-- 탑승객 정보 -->
		<div class="container">
		    <table>
			  <xsl:apply-templates select="//*[local-name()='SearchTraveler']"/>
			</table>
		</div>
		
        <div class="container">
          <table>
            <xsl:apply-templates select="//*[local-name()='Row']"/>
          </table>
        </div>
		
        <div class="container">
          <table width="400">
            <tr>
              <td class="legend occupied"></td><td class="legend">Reserved </td>
			  <td class="legend selectedSeat"></td><td class="legend">Selected </td>
              <td class="legend availableSeat"></td><td class="legend">Available </td> 
			  <td class="legend blockedSeat"></td><td class="legend">blocked </td>
			  <td class="legend availableHandicap"></td><td class="legend">Handicapped </td>
            </tr>           
          </table>
        </div>

  </xsl:template>

  <xsl:template match="//*[local-name()='AirSegment']">
 
   <tr>
      <td class="legend fontBold"> 
	     <xsl:value-of select="@Origin"/><xsl:text>></xsl:text> <xsl:value-of select="@Destination"/>
		 <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text> <xsl:value-of select="@Carrier"/> 
		 <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text> <xsl:value-of select="@FlightNumber"/>
	  </td>
  </tr>
  <tr>
	  <td class="legend fontDarkGrey">
		Depart : <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text> 
		<xsl:value-of select="js:getDate(string(@DepartureTime))"/> 
	  </td>
   </tr>
   <tr>
	  <td class="legend fontDarkGrey">
		Arrival : <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text> 
		<xsl:value-of select="js:getDate(string(@ArrivalTime))"/> 
	  </td>
  </tr>
  </xsl:template>
  
  <xsl:template match="//*[local-name()='SearchTraveler']">
  <form id="FrmSeatMap" name="FrmSeatMap">
   <tr>
	  <td class="legend fontBold"> 
	  <xsl:element name="input">
		  <xsl:attribute name="type">hidden</xsl:attribute>
		  <xsl:attribute name="id">PNR</xsl:attribute>
		  <xsl:attribute name="name">PNR</xsl:attribute>
		 <xsl:attribute name="value"><xsl:value-of select="js:SplitValue(string(@Code),0)"/> </xsl:attribute>
      </xsl:element>
	   <xsl:element name="input">
		  <xsl:attribute name="type">hidden</xsl:attribute>
		  <xsl:attribute name="id">SegNum</xsl:attribute>
		  <xsl:attribute name="name">SegNum</xsl:attribute>
		 <xsl:attribute name="value"><xsl:value-of select="js:SplitValue(string(@Code),1)"/> </xsl:attribute>
      </xsl:element>
	   <xsl:element name="input">
		  <xsl:attribute name="type">hidden</xsl:attribute>
		  <xsl:attribute name="id">TravelerNum</xsl:attribute>
		 <xsl:attribute name="name">TravelerNum</xsl:attribute>
		 <xsl:attribute name="value"><xsl:value-of select="js:SplitValue(string(@Code),2)"/> </xsl:attribute>
      </xsl:element>
	  </td>
   </tr>
     <tr>
		<td class="legend fontBold">
		   <xsl:for-each select="*[local-name()='Name']">
              <xsl:value-of select="@Last"/> /  <xsl:value-of select="@First"/>.<xsl:value-of select="@Prefix"/>
				: <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
				<input type="text" id="SeatNum" name="SeatNum" size="4" maxlengh="3" readonly="readonly" vaule=""></input>
            </xsl:for-each>
		</td>
	 </tr>
</form>
  </xsl:template>
    
  <xsl:template match="//*[local-name()='Row']">
    <tr>
      <td style="width:90">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='Wing'])>0">wing</xsl:when>
            <xsl:otherwise>outside</xsl:otherwise>
          </xsl:choose>
          <xsl:if test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='ExitRow'])>0"> exitLeft</xsl:if>
        </xsl:attribute>  

        <xsl:choose>
          <xsl:when test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='ExitRow'])>0"><font color='#ff9900'>Exit《</font></xsl:when>
        </xsl:choose>
      </td>
      <xsl:apply-templates select="*[local-name()='Facility']"/>
      <td style="width:90">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='Wing'])>0">wing</xsl:when>
            <xsl:otherwise>outside</xsl:otherwise>
          </xsl:choose>
          <xsl:if test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='ExitRow'])>0"> exitRight</xsl:if>
		  
        </xsl:attribute>
        <xsl:choose>
          <xsl:when test="count(*[local-name()='Facility']/*[local-name()='Characteristic' and @Value='ExitRow'])>0"><font color='#ff9900'>》Exit</font></xsl:when>
        </xsl:choose>
      
	  </td>
    </tr>
  </xsl:template>

  <xsl:template match="*[local-name()='Facility']">
    <td>
      <xsl:attribute name="class">
        <xsl:choose>
		  <xsl:when test="@Availability='Blocked'">blockedSeat</xsl:when>
          <xsl:when test="@Availability='NoSeat'">noseat</xsl:when>
          <xsl:when test="@Availability!='Available' and @Availability!='Selected'">occupied</xsl:when>
          <xsl:when test="@Type='Aisle' and count(../*[local-name()='Characteristic' and @Value='UpperDeck'])>0">aisleUpper</xsl:when>
          <xsl:when test="@Type='Aisle'">aisle</xsl:when>
          <xsl:when test="count(*[local-name()='Characteristic' and @Value='Handicapped'])>0">availableHandicap</xsl:when>
		  
		  <xsl:when test="@Availability='Selected'">availableSeat active</xsl:when>
		  
          <xsl:otherwise>availableSeat</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
	  
      <xsl:attribute name="title">
        <xsl:choose>
          
          <xsl:when test="@Type='Aisle'">
            <xsl:for-each select="../*[local-name()='Characteristic' and @Value!='Left' and @Value!='Right']">
              <xsl:choose>
                <xsl:when test="position() = 1">
                  <xsl:value-of select="@Value"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="concat('-',@Value) "/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:for-each>
          </xsl:when>
          
          <xsl:otherwise>
            <xsl:value-of select="@Availability"/>
            <xsl:for-each select="*[local-name()='Characteristic']">
              <xsl:value-of select="concat('-',@Value) "/> 
            </xsl:for-each>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
	  
	  <xsl:attribute name="id">
		<xsl:value-of select="@SeatCode"/>
	  </xsl:attribute>
	  
      <xsl:choose>
        <xsl:when test="@Type='Seat' and @Availability='NoSeat'">
        </xsl:when>
        <xsl:when test="@Type='Seat' and @Availability='Available' or @Availability='Selected'">
		  <xsl:variable name="SeatCode2" select="js:replace_str(string(@SeatCode),string(../@Number),'')" />
		   <font color='white'><b><xsl:value-of select="$SeatCode2"/></b></font>
        </xsl:when>
        <xsl:when test="@Type='Aisle'">
          <xsl:value-of select="../@Number"/>
		   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
        </xsl:when>
      </xsl:choose>
    </td>
  </xsl:template>

</xsl:stylesheet>
